Bug 1832352 - Re-enable http/2 support for passthrough and reencrypt routes
Summary: Re-enable http/2 support for passthrough and reencrypt routes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-06 15:05 UTC by Andrew McDermott
Modified: 2020-07-13 17:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 125 0 None closed Bug 1832352: Enable ALPN http/2 on reencrypt and passthrough routes only 2020-10-09 14:46:40 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:35:48 UTC

Comment 4 Hongan Li 2020-05-12 07:06:04 UTC
verified with 4.5.0-0.nightly-2020-05-11-211039 and HTTP2 is enabled for passthrough and reencrypt (with custom cert) routes.

$ curl --resolve test-reen.example.com:443:a.b.c.d https://test-reen.example.com -k -I
HTTP/2 200 

$ curl https://mypass-hongli.apps.hongli-pl039.qe.example.com -k -I
HTTP/2 200 

$ curl https://myreen-hongli.apps.hongli-pl039.qe.example.com -k -I
HTTP/1.1 200

Comment 5 errata-xmlrpc 2020-07-13 17:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.